.\"	$NetBSD: weekly.conf.5,v 1.9 2007/02/15 23:04:10 reed Exp $
.\"
.\" Copyright (c) 1996 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 15, 2007
.Dt WEEKLY.CONF 5
.Os
.Sh NAME
.Nm weekly.conf
.Nd weekly maintenance configuration file
.Sh DESCRIPTION
The
.Nm
file specifies which of the standard
.Pa /etc/weekly
services are performed.  The
.Pa /etc/weekly
script is run, by default, every Saturday morning on a
.Nx
system.
.Pp
The variables described below can be set to
.Dq YES
or
.Dq NO
in the
.Pa /etc/weekly.conf
file.
The default settings are in the
.Pa /etc/defaults/weekly.conf
file.
(Note that you should never edit
.Pa /etc/defaults/weekly.conf
directly, as it is often replaced during system upgrades.)
.Bl -tag -width rebuild_locatedb
.It Sy rebuild_locatedb
This rebuilds the locate database,
.Pa /var/db/locate.database ,
which must also exist, in order to be rebuilt.
.It Sy rebuild_whatisdb
This rebuilds the whatis database(s).
Note that
.Nx
provides a default whatis.db for the system manual pages and
this may not be needed.
(Adjust your
.Pa /etc/man.conf
as necessary.
See
.Xr man.conf 5
for details.)
.El
.Sh FILES
.Bl -tag -width /etc/weekly.local -compact
.It Pa /etc/weekly
weekly maintenance script
.It Pa /etc/weekly.conf
weekly maintenance configuration
.It Pa /etc/weekly.local
local site additions to
.Pa /etc/weekly
.El
.Sh SEE ALSO
.Xr daily.conf 5 ,
.Xr monthly.conf 5
.Sh HISTORY
The
.Nm
file appeared in
.Nx 1.3 .
